Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.exception
Class InvalidArgumentException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.beasys.commerce.foundation.exception.ApplicationException
                        |
                        +--com.beasys.commerce.foundation.exception.InvalidArgumentException

Direct Known Subclasses:
  InvalidConversionPolicyException, InvalidPriceException, InvalidQuantityException, InvalidUnitException

public class InvalidArgumentException
extends ApplicationException

Application exception used to signal that an invalid argument was passed to a method.

Note: Throughout this API documentation namespace refers to the resource bundle that contains the catalog of exception messages. Refer to the `MessageCatalog` API documentation for further details.

See Also:
  `MessageCatalogException`, Serialized Form

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`InvalidArgumentException()` Constructs an `InvalidArgumentException` with no associated message.
`InvalidArgumentException(InvalidArgumentException topException, InvalidArgumentException bottomException)` Constructs an `InvalidArgumentException` from two source `InvalidArgumentException`s by concatinating the screen and log messages of the two source `InvalidArgumentException`s.
`InvalidArgumentException(java.lang.String parameterName)` Class constructor.
`InvalidArgumentException(java.lang.String namespace, java.lang.String messageKey)` Class constructor taking the namespace and key of the associated catalog message.
`InvalidArgumentException(java.lang.String namespace, java.lang.String messageKey, java.lang.Exception exception)` Class constructor taking the namespace and key of the associated catalog message and an embedded exception.
`InvalidArgumentException(java.lang.String namespace, java.lang.String messageKey, java.lang.Object argument)` Class constructor taking the namespace and key of the associated catalog message and a message parameter substitution argument.
`InvalidArgumentException(java.lang.String namespace, java.lang.String messageKey, java.lang.Object[] arguments)` Class constructor taking the namespace and key of the associated catalog message and message parameter substitution arguments.
`InvalidArgumentException(java.lang.String namespace, java.lang.String messageKey, java.lang.Object[] arguments, java.lang.Exception exception)` Class constructor taking the namespace and key of the associated catalog message, message parameter substitution arguments, and an embedded exception.
`InvalidArgumentException(java.lang.String namespace, java.lang.String messageKey, java.lang.Object argument, java.lang.Exception exception)` Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidArgumentException

    public InvalidArgumentException(java.lang.String parameterName)

  Class constructor.

  Parameters:
    `parameterName` - The name of the parameter that was incorrected passed.

### InvalidArgumentException

    public InvalidArgumentException()

  Constructs an `InvalidArgumentException` with no associated message.

### InvalidArgumentException

    public InvalidArgumentException(InvalidArgumentException topException,
                                    InvalidArgumentException bottomException)

  Constructs an `InvalidArgumentException` from two source `InvalidArgumentException`s by concatinating the screen and log messages of the two source `InvalidArgumentException`s. The messages of the first `InvalidArgumentException` will preceed those of the second in the constructed `InvalidArgumentException`. Furthermore, the new `InvalidArgumentException` will have the embedded exception of the first `InvalidArgumentException` associated with it.

  Parameters:
    `InvalidArgumentException` - topException
    `InvalidArgumentException` - bottomException

### InvalidArgumentException

    public InvalidArgumentException(java.lang.String namespace,
                                    java.lang.String messageKey)

  Class constructor taking the namespace and key of the associated catalog message.

  Parameters:
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.

### InvalidArgumentException

    public InvalidArgumentException(java.lang.String namespace,
                                    java.lang.String messageKey,
                                    java.lang.Exception exception)

  Class constructor taking the namespace and key of the associated catalog message and an embedded exception.

  Parameters:
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### InvalidArgumentException

    public InvalidArgumentException(java.lang.String namespace,
                                    java.lang.String messageKey,
                                    java.lang.Object argument)

  Class constructor taking the namespace and key of the associated catalog message and a message parameter substitution argument.

  Parameters:
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### InvalidArgumentException

    public InvalidArgumentException(java.lang.String namespace,
                                    java.lang.String messageKey,
                                    java.lang.Object argument,
                                    java.lang.Exception exception)

  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

  Parameters:
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.
    `exception` - The embedded exception.

### InvalidArgumentException

    public InvalidArgumentException(java.lang.String namespace,
                                    java.lang.String messageKey,
                                    java.lang.Object[] arguments)

  Class constructor taking the namespace and key of the associated catalog message and message parameter substitution arguments.

  Parameters:
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

### InvalidArgumentException

    public InvalidArgumentException(java.lang.String namespace,
                                    java.lang.String messageKey,
                                    java.lang.Object[] arguments,
                                    java.lang.Exception exception)

  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution arguments, and an embedded exception.

  Parameters:
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.
    `exception` - The embedded exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved